<div class="background-gradient view">

  <div id="form-div-login">
    <form [formGroup]="loginForm" (ngSubmit)="submitLogin(loginForm.value)" novalidate>
        <a [routerLink]="['/']"> <img src="../../assets/img/exit.png" class="exit resize"/> </a> <br>
        <label> Prijavi se </label>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.username.invalid && (f.username.dirty || f.username.touched)}">
          <input type="text" id="username" class="form-control" formControlName="username" placeholder="Korisnicko ime" [ngClass]="{'is-invalid': f.username.invalid && (f.username.dirty || f.username.touched)}">
          <div class="invalid-feedback" *ngIf="f.username.errors?.required">Korisničko ime je obavezno polje.</div>
          <div class="invalid-feedback" *ngIf="f.username.errors?.minlength">Korisničko ime mora da sadrži bar 6 karaktera.</div>
        </div>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.password.invalid && (f.password.dirty || f.password.touched)}">
          <input type="password" id="password" class="form-control" formControlName="password" placeholder="Lozinka" [ngClass]="{'is-invalid': f.password.invalid && (f.password.dirty || f.password.touched)}">
          <div class="invalid-feedback" *ngIf="f.password.errors?.required">Lozinka je obavezno polje.</div>
          <div class="invalid-feedback" *ngIf="f.password.errors?.minlength">Lozinka mora da sadrži bar 8 karaktera.</div>
          <div class="invalid-feedback" [ngClass]="{'loginErrorShow': isError}" *ngIf="isError">Netačno korisničko ime ili lozinka.</div>
        </div>

        <button id="login" class="btn btn-text-style" type="submit" [disabled]="!loginForm.valid">Prijavi se</button>
        <p class="smallLink"><a>Zaboravili ste lozinku?</a></p>
        <p class="smallText">Nemate nalog?<a [routerLink]="['/signup']" class="smallLink"> Registrujte se</a></p>

      </form>
  </div>
</div>
